Bug 173226 - [maintainer] mail/opendkim update to 2.7.1
Summary: [maintainer] mail/opendkim update to 2.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 02:10 UTC by Hirohisa Yamaguchi
Modified: 2012-11-12 13:04 UTC (History)
0 users

See Also:


Attachments
file.diff (17.46 KB, patch)
2012-10-31 02:10 UTC, Hirohisa Yamaguchi
no flags Details | Diff
opendkim.diff (17.81 KB, patch)
2012-11-10 10:40 UTC, Guido Falsi
no flags Details | Diff
mail_opendkim_173226.patch (19.24 KB, patch)
2012-11-12 08:09 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2012-10-31 02:10:00 UTC
	The new version of mail/opendkim 2.7.1 is now available.
	Release announcement: http://lists.opendkim.org/archive/opendkim/announce/2012/10/0037.html

	also:
	In VU#268267, users of OpenDKIM are advised to upgrade 2.6.8 or 2.7.0 and avobe.
	http://www.kb.cert.org/vuls/id/268267

Fix: The patch follows:
	 this patch supersedes previous PRs:
	      ports/171276: [PATCH] mail/opendkim: update to 2.6.7
	      ports/173049: [maintainer] mail/opendkim update to 2.7.0
How-To-Repeat: 	N/A
Comment 1 Guido Falsi freebsd_committer 2012-11-09 13:36:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-11-10 10:40:44 UTC
Hi,

While looking at your submission I changed a few things.

First you are looking at the WITH_BDB_BASE and WITH_LIBXML2 variables 
old style.

I modified the port to expose the two via BDB_BASE and XML options.

I also changed the port to using bsd.port.options.mk instead of 
bsd.port.(pre|post).mk.

While here I moved the PORTDOCS=* variable out of the conditional, since 
that is automatic: If the port installs nothing in ${DOCSDIR} PORTDOCS=* 
will add nothing to the plist.

Also I trimmed the Makefile headers as required recently:

http://blogs.freebsdish.org/portmgr/2012/09/17/change-to-the-header-in-ports-makefiles-take-two/

If you're not interested in the Created by: lines you also have the 
option to remove them, just tell me what you prefer.

I'm attaching a revised diff. Could you please test it and see if you 
can approve it?

If you have any doubt or objection to my changes just tell me :)

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-11-10 10:41:44 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 Hirohisa Yamaguchi 2012-11-12 08:09:52 UTC
Hi,

Thanks for looking at my patch.

> First you are looking at the WITH_BDB_BASE and WITH_LIBXML2 variables
> old style.

> I modified the port to expose the two via BDB_BASE and XML options.

I understand the point and added XML_DESC.


> I also changed the port to using bsd.port.options.mk instead of
> bsd.port.(pre|post).mk.

> While here I moved the PORTDOCS=* variable out of the conditional, since
> that is automatic: If the port installs nothing in ${DOCSDIR} PORTDOCS=*
> will add nothing to the plist.

> Also I trimmed the Makefile headers as required recently:

I agree with you on these points.


> I'm attaching a revised diff. Could you please test it and see if you
> can approve it?

> If you have any doubt or objection to my changes just tell me :)

I attach an updated patch with build fix and typo correction.


Regards,
-- 

	Hirohisa Yamaguchi
	  <umq@ueo.co.jp>
Comment 5 Guido Falsi freebsd_committer 2012-11-12 12:09:25 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 Guido Falsi freebsd_committer 2012-11-12 13:04:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!